Product Hunt collection products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection": "0-design-tools",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-collections"
payload = {
"collection": "0-design-tools",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({collection: '0-design-tools', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_collections",
"collection": "0-design-tools",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Product Hunt — collection products\n\n- **Collection:** 0-design-tools\n- **Results:** 2\n- **Proxy traffic:** 34.6 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "looka",
"name": "Looka",
"url": "https://www.producthunt.com/products/looka",
"alias": "looka",
"product_id": "93446",
"tagline": null,
"rating": 4.67,
"review_count": 3,
"post_count": null,
"image": "https://ph-files.imgix.net/dee44533-a25f-4e6b-b1f6-d7f7d4445109.png?auto=format&fit=crop&w=128&h=128",
"categories": [],
"is_no_longer_online": false
},
"items": [
{
"id": "looka",
"name": "Looka",
"url": "https://www.producthunt.com/products/looka",
"alias": "looka",
"product_id": "93446",
"tagline": null,
"rating": 4.67,
"review_count": 3,
"post_count": null,
"image": "https://ph-files.imgix.net/dee44533-a25f-4e6b-b1f6-d7f7d4445109.png?auto=format&fit=crop&w=128&h=128",
"categories": [],
"is_no_longer_online": false
},
{
"id": "uxarchive",
"name": "UXArchive",
"url": "https://www.producthunt.com/products/uxarchive",
"alias": "uxarchive",
"product_id": "94247",
"tagline": null,
"rating": 5,
"review_count": 1,
"post_count": null,
"image": "https://ph-files.imgix.net/0a8ed72f-3c85-4736-ba84-234f41e347fa.png?auto=format&fit=crop&w=128&h=128",
"categories": [],
"is_no_longer_online": false
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 35440
},
"total_points": 2
}Startup & Funding Data
Product Hunt collection products
Products of a Product Hunt collection in the curator’s order, with the full list paged beyond the first 20. 1 point per returned record.
POST
/
functions
/
v1
/
run-producthunt-collections
Product Hunt collection products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.